#pragma once

#define MAXSONGS 30
#define MAXCDS   100

/************************************************************************************************/
/*************************************Objects declaration****************************************/
/************************************************************************************************/

typedef struct sDate{
  int day;
  int month;
  int year ;
} sDate;

typedef struct sTime{
  unsigned int seconds;
  unsigned int minutes;
  unsigned int hours;
} sTime;

typedef struct sSong{
  char* title; 
  char* artist;  
  sTime duration;
} sSong;

typedef struct sCD{
  char* title;
  char* artist;
  unsigned int publicationYear;
  unsigned int numberOfSongs;
  sSong Songs[MAXSONGS];
} sCD;
/************************************************************************************************/
/***********************************functions declaration****************************************/
/************************************************************************************************/

void inputDate();

/************************************************************************************************/
/***********************************Externvariables****************************************/
/************************************************************************************************/
extern unsigned int countCDs;
extern sCD CDData[MAXCDS];


