#include <stdio.h>
#include "menu.h"
#include "tools.h"

int getMenu(char *menuTitle, char **menuItems, unsigned short numberOfMenuItems){
    int input;

    do
    {
        clearScreen();
        puts(menuTitle);
        printLine('=',50);
        for(unsigned int i = 0; i < numberOfMenuItems; ++i)
        {
           printf("%d. %s\n",(1+i), *(menuItems + i));
        }
        putchar('\n');
        puts("Your choice:");
        scanf("%i*",&input);
        clearBuffer();
    } while ((input < 1) || (input > numberOfMenuItems));

    return input;
}
